import { IOption } from '../../../../common/domain/entities/option';
import { ProfileDataSource } from '../../../domain/datasources/profile_datasource';
export class ProfileDataSourceDev implements ProfileDataSource {
    async getUserInterests(): Promise<IOption[]> {
        const interests =  await this.getInterests();
        interests[0].isSelected = true;
        interests[1].isSelected = true;
        interests[2].isSelected = true;
        return interests;
    }
    async getInterests(): Promise<IOption[]> {
        return [
            { id: 1, name: 'Tecnología', isSelected: false },
            { id: 2, name: 'Deportes', isSelected: false },
            { id: 3, name: 'Cine', isSelected: false},
            { id: 4, name: 'Música', isSelected: false },
            { id: 5, name: 'Ciencia',  isSelected: false },
            { id: 6, name: 'Historia', isSelected: false },
            { id: 7, name: 'Arte', isSelected: false },
            { id: 8, name: 'Cocina', isSelected: false },
            { id: 9, name: 'Viajes', isSelected: false },
            { id: 10, name: 'Moda', isSelected: false },
        ];
    }

    async changePassword(oldPassword: string, newPassword: string): Promise<void> {
        console.log('Changing password', oldPassword, newPassword);
    }

    async saveInterests(options: IOption[]): Promise<void> {
        console.log('Saving interests', options);
    }

    async setUpProfile(birthdate: string, interests: IOption[]): Promise<void> {
        console.log('Setting up profile', birthdate, interests);
    }
}